using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class HostFaultRecords
    {
        /// <summary>
        /// ID
        /// </summary>
        public virtual long ID
        {
            get;
            set;
        }
        /// <summary>
        /// HostID
        /// </summary>
        public virtual int HostID
        {
            get;
            set;
        }
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
        /// <summary>
        /// RoomNumber
        /// </summary>
        public virtual string RoomNumber
        {
            get;
            set;
        }
        /// <summary>
        /// RoomTypeID
        /// </summary>
        public virtual int RoomTypeID
        {
            get;
            set;
        }
        /// <summary>
        /// RoomTypeModalID
        /// </summary>
        public virtual int RoomTypeModalID
        {
            get;
            set;
        }
        /// <summary>
        /// 485设备地址
        /// </summary>
        public virtual string ModalAddress
        {
            get;
            set;
        }
        /// <summary>
        /// 异常类型：1在线状态（0在线，1离线），2电量（0~100%），3电流，4 1901故障检测次数
        /// </summary>
        public virtual int Type
        {
            get;
            set;
        }
        /// <summary>
        /// 异常值
        /// </summary>
        public virtual int Value
        {
            get;
            set;
        }
        /// <summary>
        /// 异常发生时间
        /// </summary>
        public virtual DateTime Date
        {
            get;
            set;
        }
    }
}
